


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: RegisterCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: RegisterCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">RegisterCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 10)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.Command;
<i>5</i>&nbsp;import com.dema.timeregistration.application.CommandGroup;
<i>6</i>&nbsp;import com.dema.timeregistration.application.Parameter;
<i>7</i>&nbsp;import com.dema.timeregistration.application.ParsedCommand;
<i>8</i>&nbsp;import com.dema.timeregistration.service.UserService;
<i>9</i>&nbsp;
<i>10</i>&nbsp;import java.util.Set;
<i>11</i>&nbsp;
<i>12</i>&nbsp;public class RegisterCommand implements Command {
<i>13</i>&nbsp;    private final UserService userService;
<i>14</i>&nbsp;
<b class="nc"><i>15</i>&nbsp;    public RegisterCommand(UserService userService) {</b>
<b class="nc"><i>16</i>&nbsp;        this.userService = userService;</b>
<b class="nc"><i>17</i>&nbsp;    }</b>
<i>18</i>&nbsp;
<i>19</i>&nbsp;    @Override
<i>20</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>21</i>&nbsp;        return &quot;Create a new user using parameters:\n-n for name\n-e for email\n&quot; +</b>
<i>22</i>&nbsp;                &quot;Example of usage:\nregister -n \&quot;Daniel Kuzin\&quot; -e \&quot;daniel@kuzin.dk\&quot;&quot;;
<i>23</i>&nbsp;    }
<i>24</i>&nbsp;
<i>25</i>&nbsp;    @Override
<i>26</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>27</i>&nbsp;        return &quot;register&quot;;</b>
<i>28</i>&nbsp;    }
<i>29</i>&nbsp;
<i>30</i>&nbsp;    @Override
<i>31</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>32</i>&nbsp;        return CommandGroup.ACCOUNT;</b>
<i>33</i>&nbsp;    }
<i>34</i>&nbsp;
<i>35</i>&nbsp;    @Override
<i>36</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>37</i>&nbsp;        return Utils.newHashSet(</b>
<i>38</i>&nbsp;                new Parameter(&quot;n&quot;),
<i>39</i>&nbsp;                new Parameter(&quot;e&quot;)
<i>40</i>&nbsp;        );
<i>41</i>&nbsp;    }
<i>42</i>&nbsp;
<i>43</i>&nbsp;    @Override
<i>44</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>45</i>&nbsp;        userService.register(parsedCommand.get(&quot;e&quot;), parsedCommand.get(&quot;n&quot;));</b>
<b class="nc"><i>46</i>&nbsp;        System.out.println(&quot;The user has been registered successfully&quot;);</b>
<b class="nc"><i>47</i>&nbsp;    }</b>
<i>48</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
